Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyExecutableMemberDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc

All Implemented Interfaces:
  GroovyExecutableMemberDoc

    class SimpleGroovyExecutableMemberDoc
    extends SimpleGroovyMemberDoc

Field Summary
`List` | `parameters`

Fields inherited from class SimpleGroovyMemberDoc
belongsToClass

Constructor Summary
`SimpleGroovyExecutableMemberDoc(String name, GroovyClassDoc belongsToClass)`

Method Summary
`void` | `add(GroovyParameter parameter)`
`String` | `flatSignature()`
`boolean` | `isNative()`
`boolean` | `isSynchronized()`
`boolean` | `isVarArgs()`
`GroovyParameter[]` | `parameters()`
`String` | `signature()`
`GroovyType[]` | `thrownExceptionTypes()`
`GroovyClassDoc[]` | `thrownExceptions()`

Methods inherited from class SimpleGroovyMemberDoc
getBelongsToClass, isAbstract, isSynthetic, setAbstract, setRawCommentText

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setTokenType, tags, toString, tokenType

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### parameters

    List parameters

Constructor Detail

### SimpleGroovyExecutableMemberDoc

    public SimpleGroovyExecutableMemberDoc(String name, GroovyClassDoc belongsToClass)

Method Detail

### add

    public void add(GroovyParameter parameter)

### flatSignature

    public String flatSignature()

### isNative

    public boolean isNative()

### isSynchronized

    public boolean isSynchronized()

### isVarArgs

    public boolean isVarArgs()

### parameters

    public GroovyParameter[] parameters()

### signature

    public String signature()

### thrownExceptionTypes

    public GroovyType[] thrownExceptionTypes()

### thrownExceptions

    public GroovyClassDoc[] thrownExceptions()

Copyright © 2003-2009 The Codehaus. All rights reserved.